import { Component, OnInit } from '@angular/core';
import { GroupBoilerplate } from 'src/app/models/boilerplate.model';
import { BoilerplateService } from 'src/app/services/boilerplate.service';

@Component({
  selector: 'app-groupboil',
  templateUrl: './groupboil.component.html',
  styleUrls: ['./groupboil.component.scss']
})
export class GroupboilComponent implements OnInit {
  grouboilerplates?: GroupBoilerplate[];

  constructor(private boilerplateService: BoilerplateService) { }

  ngOnInit(): void {
    this.retrievegroupBoilerplates();
  }

  retrievegroupBoilerplates(): void {
    this.boilerplateService.getAllgroupboil()
      .subscribe(
        data => {console.log(data);
          this.grouboilerplates = data;
        },
        error => {
          console.log(error);
        });

  }

}
